const API = require('./dist/npm');
const api = new API({url: "https://rpcurl"});

const account = '6GqWPK6ySx9qrid1rd631WbMgHb4jK2VGv';
const secret = 'shEsE54PCw8tzdZJYWeaqhpz2WKxr';

async function index() {
    let wallet = api.generateAddress().wallet;
    console.log(wallet);

    let accountInfo = await api.getAccountInfo(account);
    console.log("balance drops: " + accountInfo.balance);
    console.log("sequence: " + accountInfo.sequence);

    const prep = await api.preparePayment(account, {
        "destination": "69XZXjPc3YLBoJ2jaUr74GGZukqTsZ3BYg",
        "amount": '1',
        "fee": "10000"
    });
    let signd = api.sign(prep.txJson, secret, false);
    console.log("txJson: " + prep.txJson);
    console.log("hash: " + signd.hash);
    console.log("txBlob: " + signd.signedTransaction);
}

index().then(() => {
    console.log("====end test=====");
});
